<template>
  <section class="fixed right-[5rem] lg:right-[6rem] bottom-[2.5rem] lg:bottom-[5rem] scale-75 lg:scale-100">
    <v-fab
      :class="{ 'opacity-0': shown }"
      class="[&_button]:bg-gradient-to-r [&_button]:from-teal-400 [&_button]:to-cyan-500 [&_button]:text-white [&_button]:text-xl"
      icon="mdi-plus"
      size="76"
      @click="$emit('click')"
    />
  </section>
</template>

<script setup lang="ts">
withDefaults(defineProps<{ shown: boolean }>(), {
  shown: true,
});

defineEmits(['click']);
</script>